Tags API
9 endpoints
Tag management for categorisation.
List all tags for a collection with optional filters and pagination.
List all tags for a collection with optional filters and pagination.
Endpoint
/admin/collection/{collectionId}/tagsParameters
collectionIdpath
string
Required
Responses
200
Success{
"schema": "ListTagsResponse"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/tagsParameters
collectionIdpath
string
Required
bodybody
CreateTagRequest
Required
See CreateTagRequest schema
Responses
200
Success{
"schema": "CreateTagResponse"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/tags/batchParameters
collectionIdpath
string
Required
bodybody
CreateTagsBatchRequest
Required
See CreateTagsBatchRequest schema
Responses
200
Success{
"schema": "CreateTagsBatchResponse"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/tags/{tagId}Parameters
collectionIdpath
string
Required
tagIdpath
string
Required
Responses
200
Success{
"schema": "GetTagResponse"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/tags/{tagId}Parameters
collectionIdpath
string
Required
tagIdpath
string
Required
bodybody
UpdateTagRequest
Required
See UpdateTagRequest schema
Responses
200
Success{
"schema": "UpdateTagResponse"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/tags/{tagId}Parameters
collectionIdpath
string
Required
tagIdpath
string
Required
Responses
200
Success{
"schema": "DeleteTagResponse"
}400
Bad request401
Unauthorized404
Not foundPublic batch lookup of multiple tags using query parameters (GET).
Public batch lookup of multiple tags using query parameters (GET).
Endpoint
/public/tags/lookupResponses
200
Success{
"schema": "PublicBatchLookupQueryResponse"
}400
Bad request401
Unauthorized404
Not foundPublic batch lookup of multiple tags in a single request (POST).
Public batch lookup of multiple tags in a single request (POST).
Endpoint
/public/tags/lookupParameters
bodybody
PublicBatchLookupRequest
Required
See PublicBatchLookupRequest schema
Responses
200
Success{
"schema": "PublicBatchLookupResponse"
}400
Bad request401
Unauthorized404
Not foundPublic lookup of a single tag by tagId (global).
Public lookup of a single tag by tagId (global).
Endpoint
/public/tags/{tagId}Parameters
tagIdpath
string
Required
Responses
200
Success{
"schema": "PublicGetTagResponse"
}400
Bad request401
Unauthorized404
Not found